Index: trunk/ab5.0/abdev/ab_common/src/Lexical/Namespace.cpp
===================================================================
--- trunk/ab5.0/abdev/ab_common/src/Lexical/Namespace.cpp	(revision 516)
+++ trunk/ab5.0/abdev/ab_common/src/Lexical/Namespace.cpp	(revision 516)
@@ -0,0 +1,55 @@
+#include "stdafx.h"
+
+
+using namespace ActiveBasic::Common::Lexical;
+
+
+NamespaceScopes::NamespaceScopes( const std::string &namespaceStr ){
+	if( namespaceStr.size() == 0 ){
+		return;
+	}
+
+	std::string::size_type i = 0;
+	while( true ){
+		std::string::size_type i2 = namespaceStr.find( '.', i );
+
+		std::string tempName = namespaceStr.substr( i, i2-i );
+
+		push_back( tempName );
+
+		if( i2 == std::string::npos ){
+			break;
+		}
+
+		i = i2 + 1;
+	}
+}
+
+void NamespaceScopesCollection::SplitNamespace( const char *fullName, char *namespaceStr, char *simpleName ) const
+{
+	NamespaceScopes namespaceScopes( fullName );
+	bool hasSimpleName = false;
+	while( namespaceScopes.size() > 0 ){
+		if( IsExist( namespaceScopes ) ){
+			break;
+		}
+		namespaceScopes.pop_back();
+
+		hasSimpleName = true;
+	}
+
+	lstrcpy( namespaceStr, namespaceScopes.ToString().c_str() );
+
+	bool hasNamespace = false;
+	if( namespaceStr[0] ){
+		hasNamespace = true;
+	}
+
+	int dotLength = 0;
+	if( hasSimpleName && hasNamespace ){
+		dotLength = 1;
+	}
+
+	lstrcpy( simpleName, fullName + lstrlen( namespaceStr ) + dotLength );
+}
+
Index: trunk/ab5.0/abdev/ab_common/src/Lexical/NamespaceSupporter.cpp
===================================================================
--- trunk/ab5.0/abdev/ab_common/src/Lexical/NamespaceSupporter.cpp	(revision 516)
+++ trunk/ab5.0/abdev/ab_common/src/Lexical/NamespaceSupporter.cpp	(revision 516)
@@ -0,0 +1,22 @@
+#include "stdafx.h"
+
+using namespace ActiveBasic::Common::Lexical;
+
+bool NamespaceSupporter::ImportsNamespace( const NamespaceScopes &namespaceScopes )
+{
+	_ASSERT( allNamespaceScopesCollection );
+	if( !allNamespaceScopesCollection->IsExist( namespaceScopes ) ){
+		return false;
+	}
+
+	this->importedNamespaces.push_back( namespaceScopes );
+
+	return true;
+}
+
+bool NamespaceSupporter::ImportsNamespace( const std::string &namespaceStr )
+{
+	NamespaceScopes namespaceScopes( namespaceStr );
+
+	return ImportsNamespace( namespaceScopes );
+}
Index: trunk/ab5.0/abdev/ab_common/src/Lexical/Symbol.cpp
===================================================================
--- trunk/ab5.0/abdev/ab_common/src/Lexical/Symbol.cpp	(revision 516)
+++ trunk/ab5.0/abdev/ab_common/src/Lexical/Symbol.cpp	(revision 516)
@@ -0,0 +1,43 @@
+#include "stdafx.h"
+
+using namespace ActiveBasic::Common::Lexical;
+
+const NamespaceSupporter *Symbol::namespaceSupporter = NULL;
+
+std::string Symbol::GetFullName() const
+{
+	if( namespaceScopes.size() )
+	{
+		return namespaceScopes.ToString() + "." + name;
+	}
+
+	return name;
+}
+
+bool Symbol::IsEqualSymbol( const NamespaceScopes &namespaceScopes, const std::string &name ) const
+{
+	if( GetName() != name ){
+		return false;
+	}
+
+	_ASSERTE( namespaceSupporter );
+	return namespaceSupporter->IsSameAreaNamespace( GetNamespaceScopes(), namespaceScopes );
+}
+bool Symbol::IsEqualSymbol( const Symbol &symbol ) const
+{
+	if( IsEqualSymbol( symbol.GetNamespaceScopes(), symbol.GetName() ) )
+	{
+		return true;
+	}
+
+	if( symbol.GetNamespaceScopes().size() >= 1 )
+	{
+		// 静的メンバを考慮
+		NamespaceScopes namespaceScopes( symbol.GetNamespaceScopes() );
+		std::string name = namespaceScopes[namespaceScopes.size()-1] + "." + symbol.GetName();
+		namespaceScopes.pop_back();
+
+		return IsEqualSymbol( namespaceScopes, name );
+	}
+	return false;
+}
Index: trunk/ab5.0/abdev/ab_common/src/Namespace.cpp
===================================================================
--- trunk/ab5.0/abdev/ab_common/src/Namespace.cpp	(revision 509)
+++ 	(revision )
@@ -1,57 +1,0 @@
-#include "stdafx.h"
-
-#include <Namespace.h>
-
-
-using namespace ActiveBasic::Common::Lexical;
-
-
-NamespaceScopes::NamespaceScopes( const std::string &namespaceStr ){
-	if( namespaceStr.size() == 0 ){
-		return;
-	}
-
-	std::string::size_type i = 0;
-	while( true ){
-		std::string::size_type i2 = namespaceStr.find( '.', i );
-
-		std::string tempName = namespaceStr.substr( i, i2-i );
-
-		push_back( tempName );
-
-		if( i2 == std::string::npos ){
-			break;
-		}
-
-		i = i2 + 1;
-	}
-}
-
-void NamespaceScopesCollection::SplitNamespace( const char *fullName, char *namespaceStr, char *simpleName ) const
-{
-	NamespaceScopes namespaceScopes( fullName );
-	bool hasSimpleName = false;
-	while( namespaceScopes.size() > 0 ){
-		if( IsExist( namespaceScopes ) ){
-			break;
-		}
-		namespaceScopes.pop_back();
-
-		hasSimpleName = true;
-	}
-
-	lstrcpy( namespaceStr, namespaceScopes.ToString().c_str() );
-
-	bool hasNamespace = false;
-	if( namespaceStr[0] ){
-		hasNamespace = true;
-	}
-
-	int dotLength = 0;
-	if( hasSimpleName && hasNamespace ){
-		dotLength = 1;
-	}
-
-	lstrcpy( simpleName, fullName + lstrlen( namespaceStr ) + dotLength );
-}
-
Index: trunk/ab5.0/abdev/ab_common/src/NamespaceSupporter.cpp
===================================================================
--- trunk/ab5.0/abdev/ab_common/src/NamespaceSupporter.cpp	(revision 509)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#include "stdafx.h"
-
-using namespace ActiveBasic::Common::Lexical;
-
-bool NamespaceSupporter::ImportsNamespace( const NamespaceScopes &namespaceScopes )
-{
-	_ASSERT( allNamespaceScopesCollection );
-	if( !allNamespaceScopesCollection->IsExist( namespaceScopes ) ){
-		return false;
-	}
-
-	this->importedNamespaces.push_back( namespaceScopes );
-
-	return true;
-}
-
-bool NamespaceSupporter::ImportsNamespace( const std::string &namespaceStr )
-{
-	NamespaceScopes namespaceScopes( namespaceStr );
-
-	return ImportsNamespace( namespaceScopes );
-}
Index: trunk/ab5.0/abdev/ab_common/src/Symbol.cpp
===================================================================
--- trunk/ab5.0/abdev/ab_common/src/Symbol.cpp	(revision 509)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#include "stdafx.h"
-
-using namespace ActiveBasic::Common::Lexical;
-
-const NamespaceSupporter *Symbol::namespaceSupporter = NULL;
-
-std::string Symbol::GetFullName() const
-{
-	if( namespaceScopes.size() )
-	{
-		return namespaceScopes.ToString() + "." + name;
-	}
-
-	return name;
-}
-
-bool Symbol::IsEqualSymbol( const NamespaceScopes &namespaceScopes, const std::string &name ) const
-{
-	if( GetName() != name ){
-		return false;
-	}
-
-	_ASSERTE( namespaceSupporter );
-	return namespaceSupporter->IsSameAreaNamespace( GetNamespaceScopes(), namespaceScopes );
-}
-bool Symbol::IsEqualSymbol( const Symbol &symbol ) const
-{
-	if( IsEqualSymbol( symbol.GetNamespaceScopes(), symbol.GetName() ) )
-	{
-		return true;
-	}
-
-	if( symbol.GetNamespaceScopes().size() >= 1 )
-	{
-		// 静的メンバを考慮
-		NamespaceScopes namespaceScopes( symbol.GetNamespaceScopes() );
-		std::string name = namespaceScopes[namespaceScopes.size()-1] + "." + symbol.GetName();
-		namespaceScopes.pop_back();
-
-		return IsEqualSymbol( namespaceScopes, name );
-	}
-	return false;
-}
